Qwt Polar User's Guide 1.1.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Typedefs Enumerations Enumerator Pages
Public Member Functions | List of all members
QwtPolarFitter Class Reference

A simple curve fitter for polar points. More...

`#include <qwt_polar_fitter.h>`

Inheritance diagram for QwtPolarFitter:
[legend]

## Public Member Functions
| QwtPolarFitter (int stepCount=5)
virtual | ~QwtPolarFitter ()
| Destructor.
void | setStepCount (int size)
int | stepCount () const
virtual QPolygonF | fitCurve (const QPolygonF &) const

## Detailed Description

A simple curve fitter for polar points.

QwtPolarFitter adds equidistant points between 2 curve points, so that the connection gets rounded according to the nature of a polar plot.

See Also
  QwtPolarCurve::setCurveFitter()

## Constructor & Destructor Documentation

QwtPolarFitter::QwtPolarFitter | ( | int | stepCount = `5` | ) |

Constructor

Parameters

  stepCount | Number of points, that will be inserted between 2 points

See Also
  setStepCount()

## Member Function Documentation

QPolygonF QwtPolarFitter::fitCurve | ( | const QPolygonF & | points | ) | const
| virtual

Insert stepCount() number of additional points between 2 elements of points.

Parameters

  points | Array of points

Returns
  Array of points including the additional points

void QwtPolarFitter::setStepCount | ( | int | stepCount | ) |

Assign the number of points, that will be inserted between 2 points The default value is 5.

Parameters

  stepCount | Number of steps

See Also
  stepCount()

int QwtPolarFitter::stepCount | ( |  | ) | const

Returns
  Number of points, that will be inserted between 2 points

See Also
  setStepCount()